## org.apache.lucene.codecs.appending
Class AppendingRWCodec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.FilterCodec
              org.apache.lucene.codecs.appending.AppendingRWCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class AppendingRWCodec

extends FilterCodec

Read-write version of AppendingCodec for testing

Field Summary

Fields inherited from class org.apache.lucene.codecs.FilterCodec
`delegate`

Constructor Summary
`AppendingRWCodec()`

Method Summary
`PostingsFormat` `postingsFormat()`

Methods inherited from class org.apache.lucene.codecs.FilterCodec
`docValuesFormat, fieldInfosFormat, liveDocsFormat, normsFormat, segmentInfoFormat, storedFieldsFormat, termVectorsFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppendingRWCodec

    public AppendingRWCodec()

Method Detail

### postingsFormat

    public PostingsFormat postingsFormat()

  Overrides:
    `postingsFormat` in class `FilterCodec`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.